@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@100;200;300;400;500;600&display=swap');

:root {
    --primary: #0077b6;
    --secondary: #48cae4;
    --black: #333;
    --white: #fff;
    --box-shadow: 0 .5rem 1rem rgba(0, 0, 0, 0.1);
}

* {
    font-family: 'Poppins', sans-serif;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    outline: none;
    border: none;
    text-decoration: none;
    text-transform: capitalize;
    transition: .2s linear;
}

.grid {
    display: grid;
    grid-template-columns: repeat(7, 1fr);
    grid-gap: 30px;
}

html {
    font-size: 62.5%;
    overflow-x: hidden;
    scroll-padding-top: 9rem;
    scroll-behavior: smooth;
}

html::-webkit-scrollbar {
    width: .8rem;
}

html::-webkit-scrollbar-track {
    background: transparent;
}

html::-webkit-scrollbar-thumb {
    background: var(--primary);
    border-radius: .5rem;
}

section {
    padding: 5rem 7%;
}

.heading {
    font-size: 4rem;
    color: var(--primary);
    text-align: center;
    text-transform: uppercase;
    font-weight: bolder;
    margin-bottom: 3rem;
}

.btn {
    display: inline-block;
    margin-top: 1rem;
    padding: 1rem 3rem;
    background: var(--primary);
    border-radius: .5rem;
    color: var(--white);
    font-size: 1.7rem;
    cursor: pointer;
}

.btn:hover {
    background: var(--secondary);
}

/* header */

.header {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 1000;
    background: var(--white);
    box-shadow: var(--box-shadow);
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 1rem 9%;
}

.header .logo {
    font-size: 2.5rem;
    font-weight: bolder;
    color: var(--black);
    display: flex;
    align-items: center;
    cursor: pointer;
}

.header .logo img {
    color: var(--primary);
    padding-right: .5rem;
    width: 80px;
    height: 80px;
    object-fit: contain;
}

.header .navbar a {
    font-size: 1.7rem;
    color: var(--black);
    margin: 0 1rem;
}

.header .navbar a:hover {
    color: var(--primary);
}

.header .navbar .btn {
    margin-top: 0;
    color: var(--white);
}

.header .navbar .btn:hover {
    color: var(--white);
}

#menu-btn {
    display: none;
    font-size: 2.5rem;
    margin-left: 1.7rem;
    cursor: pointer;
    color: var(--black);
}

#menu-btn:hover {
    color: var(--primary);
}

/* end */

/* home */

.home {
    padding: 0;
}

.home .slide {
    min-height: 100vh;
    background-size: cover !important;
    background-position: center !important;
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: -1;
    cursor: auto;
}

.home .slide .content {
    width: 80rem;
    text-align: center;
}

.home .slide .content h3 {
    font-size: 4rem;
    text-transform: uppercase;
    color: var(--white);
    line-height: 1.1;
    padding: 2rem 0;
}

.swiper-button-next,
.swiper-button-prev {
    height: 5rem;
    width: 5rem;
    line-height: 5rem;
    background: var(--white);
    color: var(--black);
}

.swiper-button-next:hover,
.swiper-button-prev:hover {
    background: var(--primary);
    color: var(--white);
}

.swiper-button-next::after,
.swiper-button-prev::after {
    font-size: 2rem;
}

/* end */

/* availability */

.availability form {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
    background: #eee;
    padding: 2rem;
    border-radius: .5rem;
}

.availability form .box {
    flex: 1 1 20rem;
}

.availability form .box p {
    font-size: 2rem;
    color: var(--primary);
}

.availability form .box .input {
    width: 100%;
    padding: 1rem;
    font-size: 1.8rem;
    color: var(--black);
    margin: 1rem 0;
    border-radius: .5rem;
}

/* end */

/* about */

.about .row {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 6rem;
}

.about .row .image {
    flex: 1 1 30rem;
}

.about .row .image img {
    width: 100%;
    height: 600px;
    object-fit: cover;
}

.about .row .content {
    flex: 1 1 51rem;
}

.about .row .content h3 {
    font-size: 3.5rem;
    color: var(--primary);
    padding: 2rem 0;
    text-align: center;
    text-transform: uppercase;
}

.about .row .content p {
    font-size: 1.6rem;
    color: #666;
    padding: 1rem 0;
    line-height: 1.8;
    text-transform: none;
}

/* end */

.flex1 {
    display: flex;
    justify-content: center;
}

.room .grid {
    grid-template-columns: repeat(3, 1fr);
}

.room img {
    width: 100%;
    height: 100%;
}

.room .box {
    box-shadow: 0 13px 43px 0 rgb(37 46 89/10%);
}

.box img {
    height: 300px;
    background-size: cover;
}

.room .text {
    padding: 20px;
}

.room h3 {
    font-weight: 400;
    margin-bottom: 10px;
}

.room p span {
    font-size: 19px;
    color: grey;
}

.room p {
    font-size: 20px;
}


/* services */

.services .box-container {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(16rem, 1fr));
    gap: 2rem;
}

.services .box-container .box {
    text-align: center;
    padding-top: 4rem;
}

.services .box-container .box i {
    font-size: 4rem;
    color: #0077b6;
}

.services .box-container .box h3 {
    font-size: 1.7rem;
    color: var(--black);
    padding: .5rem 0;
}

/* end */

/* gallery */

.gallery .slide {
    height: 30rem;
    position: relative;
    overflow: hidden;
}

.gallery .slide img {
    height: 100%;
    width: 100%;
    object-fit: cover;
}

.gallery .slide .icon {
    display: none;
    align-items: center;
    justify-content: center;
    position: absolute;
    top: 0;
    left: 0;
    z-index: 10;
    height: 100%;
    width: 100%;
    background: rgba(0, 0, 0, 0.5);
}

.gallery .slide .icon i {
    font-size: 6rem;
    color: var(--white);
}

.gallery .slide:hover .icon {
    display: flex;
}

/* end */

/* review */

.review {
    background-image: url("/images/review.jpg");
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    width: 100%;
    height: 48rem;
    position: relative;
    margin: 4rem 0;
}

.review .review-slider {
    background: var(--secondary);
    padding: 2rem;
    width: 50%;
    height: 145%;
    margin-top: -8rem;
    margin-right: 60rem;
    padding-top: 6%;
    color: var(--white);
    box-shadow: var(--box-shadow);
}

.review .slide {
    text-align: center;
}

.review .slide .heading {
    color: var(--white);
}

.review .slide i {
    font-size: 6rem;
    color: var(--primary);
}

.review .slide p {
    padding-bottom: 1.5rem;
    padding-top: 3rem;
    font-size: 1.5rem;
    line-height: 1.8;
    color: var(--white);
    text-transform: none;
}

.review .slide .user {
    display: flex;
    gap: 1.5rem;
    align-items: center;
    justify-content: center;
    padding: 0rem 0;
    border-radius: .5rem;
}


.review .slide .user img {
    height: 7rem;
    width: 7rem;
    border-radius: 60%;
    object-fit: contain;
}

.user-info-text {
    display: flex;
    align-items: center;
    justify-content: center;
    padding-bottom: 1rem;
}

.review .slide .user h3 {
    font-size: 2rem;
    color: var(--black);
}

.review .slide .user h4 {
    font-size: 2rem;
    color: var(--black);
    font-weight: 300;
    padding-left: 1rem;
}


.review .slide .user i {
    font-size: 1.3rem;
    color: var(--primary);
}

/* end */

/* faq */

.faqs .row {
    display: flex;
    flex-wrap: wrap;
    gap: 2rem;
    align-items: center;
}

.faqs .row .image {
    flex: 1 1 40rem;
}

.faqs .row .image img {
    width: 100%;
}

.faqs .row .content {
    flex: 1 1 40rem;
}

.faqs .row .content .box {
    margin-top: 2rem;
}

.faqs .row .content .box h3 {
    font-size: 2rem;
    color: var(--primary);
    padding: 1.5rem;
    cursor: pointer;
}

.faqs .row .content .box p {
    font-size: 1.6rem;
    padding: 1.5rem 2rem;
    line-height: 2;
    color: var(--secondary);
    box-shadow: var(--box-shadow);
    display: none;
}

.faqs .row .content .box.active p {
    display: inline-block;
}

/* end */

/* reservation */

.reservation form {
    padding: 2rem;
    border: .2rem solid rgba(0, 0, 0, 0.1);
    border-radius: 1.5rem;
    display: flex;
    flex-direction: column;
}

.reservation form .container {
    display: flex;
    flex-wrap: wrap;
    gap: 1.5rem;
}

.reservation form .container .box {
    flex: 1 1 40rem;
}

.reservation form .container .box p {
    font-size: 1.8rem;
    color: var(--primary);
}

.reservation form .container .box .input {
    font-size: 1.8rem;
    width: 100%;
    padding: 1rem 0;
    margin: 1rem 0;
    border-bottom: .2rem solid rgba(0, 0, 0, 0.1);
    color: var(--black);
}

/* end */

/* map */
.map iframe {
    width: 100%;
}

/* end */

/* footer */

.footer {
    background: var(--secondary);
}

.footer .box-container {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    text-align: center;
}

.contact-info {
    display: flex;
    flex-direction: column;
    justify-content: space-evenly;
    gap: 1rem;
}

.contact-info a {
    font-size: 1.5rem;
    padding-left: 1rem;
    color: var(--primary);
    text-transform: none;
    font-weight: bold;
}

.quick-links {
    display: flex;
    flex-direction: column;
}

.quick-links a {
    font-size: 1.5rem;
    color: var(--primary);
    text-transform: none;
    font-weight: bold;
}

.footer .box-container .box h3 {
    font-size: 2.2rem;
    padding: 0 0 1rem 0;
    color: var(--primary);
}

.footer .box-container .box i {
    color: var(--primary);
    padding-right: .5rem;
    font-size: 1.5rem;
}

.footer .box-container .box i:hover {
    opacity: 0.5;
}


.footer .credit {
    font-size: 1rem;
    text-align: center;
    margin-top: 2.5rem;
    padding-top: 2rem;
    border-top: .1rem solid rgba(0, 0, 0, 0.3);
    color: black;
}

.footer .credit span {
    color: var(--primary);
}

/* end */




/* media queries */

@media (max-width:991px) {

    html {
        font-size: 55%;
    }

    .header {
        padding: 2rem 3rem;
    }

}


@media (max-width: 768px) {

    #menu-btn {
        display: inline-block;
    }

    .header .navbar {
        position: absolute;
        top: 110%;
        right: -110%;
        width: 30rem;
        box-shadow: var(--box-shadow);
        background: var(--white);
        border-radius: .5rem;
    }

    .header .navbar.active {
        right: 2rem;
        transition: .4s linear;
    }

    .header .navbar a {
        font-size: 2rem;
        margin: 2rem 2.5rem;
        display: block;
    }

    .home .slide .content {
        width: 50rem;
    }

    .review .review-slider {
        width: 100%;
        padding: 1rem;
        padding-top: 15%;
    }

    .room .grid {
        grid-template-columns: repeat(1, 1fr);
    }

}


@media (max-width: 450px) {

    html {
        font-size: 50%;
    }

    .home .slide .content {
        width: 30rem;
    }

    .home .slide .content h3 {
        font-size: 3rem;
    }

    .about .row .image img {
        width: 100%;
        height: 400px;
        object-fit: cover;
    }

}

@media (max-width: 438px) {

    .btn {
        width: 100%;
    }

    .about .row .image img {
        width: 100%;
        height: 400px;
        object-fit: cover;
    }

}

@media (max-width: 320px) {

    .about .row .image img {
        width: 100%;
        height: 100px;
        object-fit: cover;
    }

}
